Package org.oasis_open.docs.ws_calendar.ns.soap

# Class FetchItemResponseType

java.lang.Object
org.oasis_open.docs.ws_calendar.ns.soap.BaseResponseType
org.oasis_open.docs.ws_calendar.ns.soap.FetchItemResponseType

public class FetchItemResponseType extends BaseResponseType
Response to message to fetch an item.

Java class for FetchItemResponseType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="FetchItemResponseType">
       <complexContent>
         <extension base="{http://docs.oasis-open.org/ws-calendar/ns/soap}BaseResponseType">
           <sequence>
             <element name="changeToken" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="href" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element ref="{urn:ietf:params:xml:ns:icalendar-2.0}icalendar" minOccurs="0"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected String`
  `changeToken`
  `protected String`
  `href`
  `protected IcalendarType`
  `icalendar`

  ### Fields inherited from class org.oasis_open.docs.ws_calendar.ns.soap.BaseResponseType

  `errorResponse, id, message, status`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FetchItemResponseType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getChangeToken()`
  Gets the value of the changeToken property.
  `String`
  `getHref()`
  Gets the value of the href property.
  `IcalendarType`
  `getIcalendar()`
  Gets the value of the icalendar property.
  `void`
  `setChangeToken(String value)`
  Sets the value of the changeToken property.
  `void`
  `setHref(String value)`
  Sets the value of the href property.
  `void`
  `setIcalendar(IcalendarType value)`
  Sets the value of the icalendar property.

  ### Methods inherited from class org.oasis_open.docs.ws_calendar.ns.soap.BaseResponseType

  `getErrorResponse, getId, getMessage, getStatus, setErrorResponse, setId, setMessage, setStatus`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### changeToken

    protected String changeToken

  - ### href

    protected String href

  - ### icalendar

    protected IcalendarType icalendar

- ## Constructor Details

  - ### FetchItemResponseType

    public FetchItemResponseType()

- ## Method Details

  - ### getChangeToken

    public String getChangeToken()
    Gets the value of the changeToken property.
    Returns:
      possible object is `String`

  - ### setChangeToken

    public void setChangeToken(String value)
    Sets the value of the changeToken property.
    Parameters:
      `value` - allowed object is `String`

  - ### getHref

    public String getHref()
    Gets the value of the href property.
    Returns:
      possible object is `String`

  - ### setHref

    public void setHref(String value)
    Sets the value of the href property.
    Parameters:
      `value` - allowed object is `String`

  - ### getIcalendar

    public IcalendarType getIcalendar()
    Gets the value of the icalendar property.
    Returns:
      possible object is `IcalendarType`

  - ### setIcalendar

    public void setIcalendar(IcalendarType value)
    Sets the value of the icalendar property.
    Parameters:
      `value` - allowed object is `IcalendarType`